package com.poc.repository;


import java.util.stream.Stream;

import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.mongodb.repository.Query;
import org.springframework.stereotype.Repository;

import com.poc.entity.Employee;
@Repository
public interface EmpMongoRepository extends MongoRepository<Employee, String> {
	@Query(value="{emp_id : ?0}",sort = "{emp_id : 1}")
	public Employee findByEmpId(Long empId);
	/**
	 * -1 -decending
	 * 1 ascending
	 * @param salary
	 * @return
	 */
	@Query(value="{emp_sal : {$gte: ?0}}",sort = "{emp_sal : -1}")
	public Stream<Employee> findBySalary(Double salary);
	
	@Query(value = "{emp_id : ?0}", delete = true)
	public Long deleteByEmployeeId(Long empId); 
	
}
